GETGet bridgable tokens
Get bridgable tokens
Authorization
x-api-keystringrequiredheaderPlayground key
You're using a shared playground keyCreate a free account and get your own API keys from the dashboard.
Get your keysQuery Parameters
tokenInstringrequiredtokenInChainIdenumrequireddefault:111056130137143196324480186842178453101434216142220431145914481457777777713018453211155111
Response
Get swappable tokens successful.
requestIdstringrequiredA unique ID for the request.
tokensobject[]requiredGET
/swappable_tokensRequest
curl --request GET \
--url 'https://trade-api.gateway.uniswap.org/v1/swappable_tokens?tokenIn=0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48&tokenInChainId=1' \
--header 'x-api-key: <api-key>'Response
200
{ "requestId": "<string>", "tokens": [ { "address": "<string>", "chainId": "<number>", "name": "<string>", "symbol": "<string>", "project": { "logo": { "url": "<string>" }, "safetyLevel": "<string>", "isSpam": "<boolean>" }, "isSpam": "<boolean>", "decimals": "<number>" } ]}